Firefox Sync Server Setup – Update 2

I just upgraded the VM hosting my Firefox Sync server to Stretch (from Jessie). Of course, lots of changes, and as I more or less expected/feared, Firefox Sync did not work anymore. Here is a short update on the necessary changes.

General

I updated NPM to latest version (5.4.2 when writing this post). Note: this command needs to be run as root.

I reinstalled all the components in a clean environnement, just to be sure nothing was corrupted, like in last update. I followed the same steps as in the previous post.

Sync server

Took previous config file. Important thing here : if you use MPM ITK like me, do not forget to recompile wsgi apache module with ITK support. ITK is already supported by mod-wsgi, it just needs to be compiled with the right define, and by default Debian package is not.

Content server

Took previous config file, removed i18n line. Otherwise, same thing as before.

Database backend

This one was a pain. Some of the SQL schema update files seem not to be compatible with the MariaDB version installed in Stretch (Firefox Sync is supposed to run MySQL 5.6.x). It seems like « ALGORITHM = INPLACE, LOCK = NONE; » is not handled. So, just run the patcher and handle manually the files failing. There are 2 or 3.

Also, don’t be dumb like me, and run mysql_upgrade before anything, so the whole process will not fail for obscure reasons until you figure out you needed to do it because of MySQL server version upgrade.

Auth server

Took previous config file, removed resendBlackoutPeriod, and added configuration to disable redis. Otherwise, same thing as before.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

two + six =